> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# List OAuth clients

`GET https://api.pagerduty.com/webhook_subscriptions/oauth_clients`

List all OAuth clients for webhook subscriptions. Maximum of 10 clients per account.

Requires admin or owner role permissions.

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

A list of OAuth clients

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `oauth_clients` | array of object |  |  |
| `oauth_clients[].id` | string |  | The ID of the OAuth client. Read-only. |
| `oauth_clients[].type` | string | yes | The type of object being created. One of: `oauth_client`. Default: `oauth_client`. |
| `oauth_clients[].name` | string | yes | A human-readable name for the OAuth client. Max length: 255. |
| `oauth_clients[].client_id` | string | yes | The OAuth client ID provided by the OAuth server. Max length: 255. |
| `oauth_clients[].scope` | string \| null |  | The OAuth scopes requested for this client. Max length: 255. |
| `oauth_clients[].token_url` | string (uri) | yes | The OAuth token endpoint URL. Max length: 255. |
| `oauth_clients[].grant_type` | string | yes | The OAuth grant type (currently only client_credentials is supported) One of: `client_credentials`. |
| `oauth_clients[].status` | string |  | The current status of the OAuth client. Read-only. One of: `active`, `error`. |

Example: List OAuth Clients

```json
{
  "oauth_clients": [
    {
      "id": "AGLMVG7ZUZ567GK2HMOWBGNWEU",
      "type": "oauth_client",
      "name": "Test OAuth Client",
      "client_id": "test_client_id",
      "scope": "read write",
      "token_url": "https://example.com/oauth/token",
      "grant_type": "client_credentials",
      "status": "active"
    }
  ]
}
```

## Response 401

Caller did not supply credentials or did not provide the correct
credentials.

If you are using an API key, it may be invalid or your Authorization header may be malformed.

## Response 403

Caller is not authorized to view the requested resource.

While your authentication is valid, the authenticated user or token does not have permission to perform this action.

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
